# Interface BytesTypeDynamic

Type of a dynamic-length bytestring

#### Category

Elementary types

#### Hierarchy

- BytesTypeDynamic

- Defined in codec/lib/format/types.ts:112

#####
Index

### Properties

kind
location?
typeClass
typeHint?

## Properties

### kind

kind: "dynamic"

- Defined in codec/lib/format/types.ts:114

### `Optional` location

location?: Location

- Defined in codec/lib/format/types.ts:115

### typeClass

typeClass: "bytes"

- Defined in codec/lib/format/types.ts:113

### `Optional` typeHint

typeHint?: string

- Defined in codec/lib/format/types.ts:116

Generated using TypeDoc